#version 400 core

in vec3 textureCoords;
out vec4 out_Colour;

uniform samplerCube cubeMap;
uniform vec3 fogColour;

const float lowerLimit = 0.0;
const float upperLimit = 30.0;

void main(void){

	vec4 finalColour = texture(cubeMap, textureCoords);

	float factor = (textureCoords.y - lowerLimit) / (upperLimit - lowerLimit);
	factor = clamp(factor, 0.0, 1.0);
	
	out_Colour = mix(vec4(fogColour, 1.0), finalColour, factor);

}