#version 400 core

in vec2 position;

out vec4 clipSpace;
out vec2 textureCoords;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

//copied from entityShader for Fresnell shading
out vec3 toCameraVector;

const float tiling = 1.0;


void main(void) {

	clipSpace = projectionMatrix * viewMatrix * modelMatrix * vec4(position.x, 0.0, position.y, 1.0);
	gl_Position = clipSpace;
	textureCoords = vec2(position.x / 2.0 + 0.5, position.y / 2.0 + 0.5) * tiling;

	//copied from entityShader for Fresnell shading
	vec4 worldPosition = modelMatrix * vec4(position.x, 0.0, position.y, 1.0);
	toCameraVector = (inverse(viewMatrix) * vec4(0.0, 0.0, 0.0, 1.0)).xyz - worldPosition.xyz;

};
